Subject: Re: Size limit

From: Paul Munsey <[email-masked]>
Date: 19 Oct 94 01:14:37 EDT

Bob Ross,

    I'm not a DOS memory pro, but what I read is that a large memory model should 
handle multiple data segments (64K).  It could be that Ron and I accidentally switched
the memory model for the executable we shipped, but I highly doubt it.

   A reason the file worked as a 1.1 and not as a 2.0 could be because much less
information is held in the 1.1 structures.  Currently the ibis_chk2 program just has
the 1.1 code compiled in without trying to use the 2.0 memory structures and
allocation.

   To find out if we're working with a DOS limitation we could just try the file on a
PC with more memory.  If someone wants to mail me the file I'll be glad to work with
it and see what problems I get.

Paul Munsey

---------- Forwarded Message ----------

From:	INTERNET:[email-masked], INTERNET:[email-masked]
TO:	Paul Munsey, 73053,721
	(unknown), 71436,1314
	(unknown), 74012,21
DATE:	10/18/94 4:45 PM

RE:	+Postage Due+Re: Size limit

Sender: [email-masked]
Date: Tue, 18 Oct 94 15:54:45 PDT
From: [email-masked] ( Bob Ross)
To: [email-masked], [email-masked]
Subject: Re: Size limit

Eric Bracken:

I used a PC with just plain DOS and about 2M of free disk space and
300K of extended memory.  So I expected some problems.  When
the file was designated as Version 1.1, ibischk2 completed the checking.
When the file was designated 2.1, the memory error below was produced.  When
ibischk2 was compiled on a workstation and the same file was tested, 
the program completed the checking for both cases.

I don't know if DOS has addressing limits which limits the size of a file
that ibischk2 can handle.  Paul, can you answer this?

Bob Ross,
Interconnectix, Inc.

> >> When I use IBISCHK2 on a large IBIS file containing all of the parts
> >> in a design (750K) I get around approximately line 5960:
> >>
> >> PROGRAM BUG - Unabel t Allocate Memory: c:\ibis\v2\src\rngp.c 192

> On what kind of machine (and with how much real memory/swap) is this error 
> message being produced?  

> If it's a PC, could the problem related to certain addressing limitations 
> of DOS?

> --Eric